Skip to main content
GET
/
routing-numbers
/
{routing_number}
Validate Routing Number
curl --request GET \
  --url https://api.meow.com/v1/routing-numbers/{routing_number} \
  --header 'x-api-key: <api-key>'
{
  "routing_number": "<string>",
  "bank_name": "<string>",
  "bank_short_name": "<string>",
  "address_1": "<string>",
  "address_2": "<string>",
  "wire": true,
  "ach": true,
  "city": "<string>",
  "state": "<string>",
  "zip_code": "<string>"
}

Authorizations

x-api-key
string
header
required

Your Meow API key for authentication

Headers

x-entity-id
string<uuid>

Optional entity ID for scoped access to entity-specific data

Path Parameters

routing_number
string
required
Required string length: 9

Response

Successful Response

routing_number
string
required

The routing number

bank_name
string
required

The name of the bank

bank_short_name
string | null

The short name of the bank if available

address_1
string | null

The primary address line

address_2
string | null

The secondary address line

wire
boolean | null

Whether the bank supports wire transfers

ach
boolean | null

Whether the bank supports ACH transfers

city
string | null

The city of the bank branch

state
string | null

The state of the bank branch

zip_code
string | null

The zip code of the bank branch